## ucar.netcdf
Class NetcdfRemoteProxyImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          ucar.netcdf.NetcdfRemoteProxyImpl

All Implemented Interfaces:
  NetcdfRemoteProxy, Remote, Serializable, Unreferenced

public class NetcdfRemoteProxyImpl
extends RemoteObject
implements NetcdfRemoteProxy, Unreferenced

This class provides implementation of the interface NetcdfRemoteProxy. It wraps a single instance of Netcdf provide Remote services required in the construction of an instance of RemoteNetcdf.

See Also:
  `NetcdfRemoteProxy`, Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`NetcdfRemoteProxyImpl(NetcdfServer svr, String key, AbstractNetcdf nc)` Construct a RemoteObject which acts as a NetcdfRemoteProxy for a single Netcdf.

Method Summary
`protected void` `_release()`
`protected void` `finalize()`
`RemoteAccessor` `getAccessor(String varName)` Get an Accessor for a Variable, by name.
`Schema` `getSchema()`
`void` `release()` Indicate that you are done with this Netcdf data set.
`void` `unreferenced()` Equivalent to release(), called automatically by the runtime system.

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetcdfRemoteProxyImpl

    public NetcdfRemoteProxyImpl(NetcdfServer svr,
                                 String key,
                                 AbstractNetcdf nc)
                          throws RemoteException

  Construct a RemoteObject which acts as a NetcdfRemoteProxy for a single Netcdf.

Parameters:
  `svr` - NetcdfServer which owns this.
  `key` - String by which svr knows us.
  `nc` - Netcdf which this will represent.

Method Detail

### getSchema

    public Schema getSchema()
                     throws RemoteException

  Specified by:
    `getSchema` in interface `NetcdfRemoteProxy`
  Returns:
    a Schema for the Netcdf this represents.
  Throws:
    `RemoteException`

### getAccessor

    public RemoteAccessor getAccessor(String varName)
                               throws RemoteException

  Description copied from interface: `NetcdfRemoteProxy`
  Get an Accessor for a Variable, by name. Given the Accessor and the ProtoVariable obtained indirectly from getSchema() above, RemoteNetcdf can create a remote proxy for the Variable.

  Specified by:
    `getAccessor` in interface `NetcdfRemoteProxy`
  Parameters:
    `varName` - String which names a Variable in the Netcdf this represents.
  Returns:
    a (Remote)Accessor for the Variable.
  Throws:
    `RemoteException`

### release

    public void release()
                 throws RemoteException

  Description copied from interface: `NetcdfRemoteProxy`
  Indicate that you are done with this Netcdf data set. Allows the service to free resources (close the data set).

  Specified by:
    `release` in interface `NetcdfRemoteProxy`
  Throws:
    `RemoteException`

### unreferenced

    public void unreferenced()

  Equivalent to release(), called automatically by the runtime system.

  Specified by:
    `unreferenced` in interface `Unreferenced`
  See Also:
    `Unreferenced.unreferenced()`, `NetcdfRemoteProxy.release()`

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### _release

    protected void _release()